<!--
## Versavant Topic Map Application Bus / Subject Addressing Engine v%s
## Copyright 2005 Steven R. Newcomb
## 
## This software is licensed under the Apache License, Version 2.0 
## (the "License"); you may not use this file except in compliance 
## with the License.  Copies of the License are available at       
##        http://www.apache.org/licenses/LICENSE-2.0               
## Unless required by applicable law or agreed to in writing,      
## software distributed under the License is distributed on an "AS 
## IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either 
## express or implied.  See the License for the specific language  
## governing permissions and limitations under the License.        
##                                                                 
## Copies of the source code and the license are available at      
##        http://www.versavant.org                                 

####################################
cvsRevision = "$Revision: 1.3 $" ##
####################################

-->

<!ELEMENT VersavantTopicMap ( VersavantTMA+, SubjectProxy+, IoMapsDict)>
<!ATTLIST VersavantTopicMap
    VersavantTopicMapDTDVersion       CDATA    "A-1.0"
    VersavantSystemTMAName    CDATA    #REQUIRED
    OSPathSeparator                   CDATA    #REQUIRED
    TopicMapName                      CDATA    #REQUIRED
    PythonVersion                     CDATA    #REQUIRED
    VersavantVersion                  CDATA    #REQUIRED
>

<!ELEMENT VersavantTMA ( TMAConfigFile, TMAModule*)>
<!ATTLIST VersavantTMA 
    AppNm   CDATA   #REQUIRED
>

<!ELEMENT TMAConfigFile ( #PCDATA)>
<!ATTLIST TMAConfigFile
    ConfSrcPath  CDATA   #REQUIRED
>

<!ELEMENT TMAModule ( #PCDATA)>
<!ATTLIST TMAModule
    ModName  CDATA  #REQUIRED
    ModSrcFileName  CDATA  #REQUIRED
>

<!ELEMENT SubjectProxy ( Property+)>
<!ATTLIST SubjectProxy
        id       ID     #REQUIRED
   proxyId       CDATA  #REQUIRED
>

<!ELEMENT Property ( #PCDATA)>
<!ATTLIST Property
    PAppNm  CDATA    #REQUIRED
    PClass  CDATA    #REQUIRED
    IsSIP   CDATA   "N"
>

<!ELEMENT IoMapsDict ( #PCDATA)>
